Skip to navigation

Get Item

Get an item by its code

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

idstringRequired
The unique identifier for an item.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Query parameters

withAttributesbooleanOptional
Indicates whether the item attributes should be included in the response.
withVariantsbooleanOptional

Indicates whether the item variants, with their variety values, should be included in the response as variants. Off by default.

Response

This endpoint returns an object.
baseUnitOfMeasurestring
codestring
crossVarietyNoenum
The variety position used as the cross variety. The value is the same in every language.
Allowed values:
descriptionstring
description2string
hasVariantsboolean
idUUID
inventorydouble
itemCategoryCodestring
itemDiscGroupstring
rowVersionstring
unitPricedouble
variety1string

Variety code of position 1. Matches code in GET /inventory/variety.

variety1Tablestring

Variety table code of position 1. Matches code in GET /inventory/varietytable.

variety2string
variety2Tablestring
variety3string
variety3Tablestring
variety4string
variety4Tablestring
varietyGroupstring
vatProdPostingGroupstring
vendorItemNostring
vendorNostring
attributesmap from strings to anyOptional
variantslist of objectsOptional

Returned only when withVariants=true.